{% extends "::layout.html.twig" %}
{% set section="miz" %}

{% block pageWrapper %}
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">{{ miz.title }}</h1>
            {% if miz.side == "mission_maker" %}
                <span class="pull-right">
                    <a href="{{ path("miz_export", {"miz": miz.uuid}) }}" target="_blank"><i class="fa fa-download"></i></a>
                </span>
            {% endif %}
        </div>
    </div>
    <div class="row">
        {# general information #}
        <div class="col-sm-6 col-md-3">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    Mission Information
                </div>
                <div class="panel-body">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><b>Theatre :</b></td>
                            <td>{{ miz.mission.theatre }}</td>
                        </tr>
                        <tr>
                            <td><b>Date :</b></td>
                            <td>{{ miz.mission.date | date("d/m/Y") }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                {#<div class="panel-footer">#}
                {#Panel Footer#}
                {#</div>#}
            </div>
        </div>
        {# weather - wind information #}
        <div class="col-sm-6 col-md-3">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    Wind
                </div>
                <div class="panel-body">
                    <table class="table table-hover table-striped">
                        <thead>
                        <tr>
                            <th class="text-center">
                                Alt
                            </th>
                            <th class="text-center">
                                HDG TO/SPEED
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for wind in miz.mission.weather.winds %}
                            <tr>
                                <td class="text-right">
                                    {{ wind.altitude }}
                                </td>
                                <td class="text-right">
                                    {{ "%03d"|format(wind.direction) }} / {{ "%02d"|format(wind.speed) }}
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                {#<div class="panel-footer">#}
                {#Panel Footer#}
                {#</div>#}
            </div>
        </div>
        {# weather - meteo #}
        <div class="col-sm-6 col-md-3">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    Meteo
                </div>
                <div class="panel-body">
                    <table class="table table-hover table-striped">
                        <tbody>
                        <tr>
                            <td>
                                Desc.
                            </td>
                            <td>
                                {{ miz.mission.weather.name }}
                            </td>
                        </tr>
                        <tr>
                            <td>
                                QNH
                            </td>
                            <td>
                                {{ (miz.mission.weather.qnh*1.33322) | round(1) }} mbar<br/>
                                {{ (miz.mission.weather.qnh*1.33322*2.953/100) | round(2) }} mmHg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Temp.
                            </td>
                            <td>
                                {{ (miz.mission.weather.temperature) }}°<br/>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                {#<div class="panel-footer">#}
                {#Panel Footer#}
                {#</div>#}
            </div>
        </div>
        <div class="col-sm-12">

            {% for coaliation in miz.mission.coalitions %}
                {% if coaliation.name == "blue" %}
                    {% if miz.side=="mission_maker" or  miz.side=="blue" %}
                        <h1><a href="{{ path('miz_view', {"miz": miz.uuidSide('blue'), "side": 'blue'}) }}">{{ coaliation.name }}</a></h1>
                        {% include "AppBundle:miz:_coalition.html.twig" %}
                    {% endif %}
                {% elseif coaliation.name == "red" %}
                    {% if miz.side=="mission_maker" or  miz.side=="red" %}
                        <h1><a href="{{ path('miz_view', {"miz": miz.uuidSide('red'), "side": 'red'}) }}">{{ coaliation.name }}</a></h1>
                        {% include "AppBundle:miz:_coalition.html.twig" %}
                    {% endif %}
                {% endif %}
            {% endfor %}
            {#{{ dump(mission.coalition.red) }}#}
        </div>
        {#{{ dump(miz.mission) }}#}
    </div>
{% endblock %}
